Bug 201493 - Review Request: perl-Module-Starter-PBP
Review Request: perl-Module-Starter-PBP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Module-St...
:
: 201492 (view as bug list)
Depends On: 201491
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-06 03:57 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 16:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-06 03:57:23 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP-0.000003-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP.spec

Description:
This module implements a simple approach to creating modules and their support
files, based on the Module::Starter approach.

When used as a Module::Starter plugin, this module allows you to specify a
simple directory of templates which are filled in with module-specific
information, and thereafter form the basis of your new module.

The default templates that this module initially provides are based on the
recommendations in the book "Perl Best Practices".
Comment 1 Chris Weyl 2006-08-06 03:58:48 EDT
*** Bug 201492 has been marked as a duplicate of this bug. ***
Comment 2 Chris Weyl 2006-08-06 04:32:54 EDT
Update to include an explict requires on perl(Module::Starter::Simple); this
requires was blocked from autodep as it was of the form "use base
Module::Starter::Simple;"

SRPM URL:
http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP-0.000003-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP.spec
Comment 3 Patrice Dumas 2006-08-08 10:16:47 EDT
Missing BuildRequires for perl(Test::More)
Comment 4 Chris Weyl 2006-08-08 10:55:57 EDT
perl(Test::More) is a core module, but easy enough to include.

SRPM URL:
http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP-0.000003-3.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-PBP.spec
Comment 5 Patrice Dumas 2006-08-08 11:08:19 EDT
* rpmlint is silent
* package named according to guidelines
* free software, licences not included
* meets packaging guidelines
* spec legible
* source match upstream
2e39d69cd77f64721a875d903a632be3  Module-Starter-PBP-v0.0.3.tar.gz
* sane provides
Provides: perl(Module::Starter::PBP)
* %files right

APPROVED 
Comment 6 Chris Weyl 2006-08-08 16:00:33 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.